/public/sessions/{sessionId}

Get a session

GET
/public/sessions/{sessionId}

Get a session

Path Parameters

sessionId*string

Header Parameters

X-API-Version?string

Response Body

curl -X GET "https://companion-api.napster.com/public/sessions/string"
{
  "conversation": {
    "items": [
      {
        "role": "string",
        "text": "string",
        "timestamp": 0
      }
    ]
  },
  "functionMetrics": {
    "property1": [
      {
        "name": "string",
        "state": "string",
        "startedAt": "2019-08-24T14:15:22Z",
        "connectedAt": "2019-08-24T14:15:22Z",
        "failedAt": "2019-08-24T14:15:22Z",
        "canceledAt": "2019-08-24T14:15:22Z",
        "error": {
          "code": "string",
          "message": "string"
        }
      }
    ],
    "property2": [
      {
        "name": "string",
        "state": "string",
        "startedAt": "2019-08-24T14:15:22Z",
        "connectedAt": "2019-08-24T14:15:22Z",
        "failedAt": "2019-08-24T14:15:22Z",
        "canceledAt": "2019-08-24T14:15:22Z",
        "error": {
          "code": "string",
          "message": "string"
        }
      }
    ]
  },
  "id": "string",
  "companion": {
    "id": "string",
    "firstName": "string",
    "lastName": "string",
    "previewUrl": "string",
    "userId": "string"
  },
  "functions": [
    "string"
  ],
  "mcp": {
    "servers": [
      "string"
    ],
    "connectors": [
      "string"
    ]
  },
  "knowledgeBase": {
    "id": "string",
    "name": "string"
  },
  "faqCollections": [
    {
      "id": "string",
      "name": "string"
    }
  ],
  "companionId": "string",
  "knowledgeBaseId": "string",
  "faqIds": [
    "string"
  ],
  "externalClientId": "string",
  "tags": {
    "property1": "string",
    "property2": "string"
  },
  "sessionType": "voip",
  "modality": "audio",
  "status": "pending",
  "agent": {
    "id": "string",
    "name": "string"
  },
  "cost": 0,
  "createdAt": 0,
  "startedAt": 0,
  "closedAt": 0,
  "closeReason": "string"
}
{
  "code": "string",
  "description": "string",
  "type": "failure",
  "numericType": 0
}